using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace PowerStatusProject
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            PowerStatus p ;
            p = SystemInformation.PowerStatus;
            label2.Text = p.BatteryChargeStatus.ToString();
            label2.Text += "\r\n";
            label2.Text += p.BatteryFullLifetime.ToString();
            label2.Text += "\r\n";
            label2.Text += p.BatteryLifePercent.ToString();
            label2.Text += "\r\n";
            label2.Text += p.BatteryLifeRemaining.ToString();
            label2.Text += "\r\n";
            label2.Text += p.PowerLineStatus.ToString();
            label2.Text += "\r\n";

        }
    }
}